= OMGF - hysterical REST API for MogileFS using Rack

OMGF provides an HTTP interface for {MogileFS}[http://mogilefs.org],
allowing clients to connect to MogileFS without needing specialized
libraries to interface with MogileFS.  Currently, HystericalRaisins
is supported.  OMGF is short for "OMGFiles", an anagram for "MogileFS".

It is built on top of the
{Ruby mogilefs-client}[http://yhbt.net/mogilefs-client] library

== Features

* Can be used unify multiple, independent MogileFS installations
  into a single HTTP endpoint.

== Install

OMGF is only compatible with Ruby 1.9.3 and later.

You may install it via RubyGems on RubyGems.org:

  gem install omgf

== Usage

 TODO...

== Development

You can get the latest source via git from the following locations
(these versions may not be stable):

  git://yhbt.net/omgf.git
  git://repo.or.cz/omgf.git (mirror)

You may browse the code from the web and download the latest snapshot
tarballs here:

== Disclaimer

There is NO WARRANTY whatsoever if anything goes wrong, but let us know
and we'll try our best to fix it.

All feedback (bug reports, user/development dicussion, patches, pull
requests) go to the mailing list/newsgroup.  See the ISSUES document for
information on the {omgf mailing list}[mailto:omgf@librelist.org]

You're can (and probably should) restrict access to OMGF hosts/ports.
Anybody who can access OMGF must also be able to access the source code
in accordance with the AGPL.  OMGF is not written/audited by a security
expert, so it is likely not secure and you should only give trusted
users access to it.

== License

OMGF is copyrighted Free Software by all contributors, see logs in
revision control for names and email addresses of all of them.

You can redistribute OMGF and/or modify it under the terms of the GNU
Affero General Public License, version 3 or later as published by the
Free Software Foundation.

OMGF is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
License for more details.

You should have received a copy of the GNU Affero General Public License
along with OMGF; if not, see https://www.gnu.org/licenses
